Bug 192090 - security/gnutls: OPTIONal dependencies (CRYWRAP (libidn), P11KIT, TPM, ZLIB)
Summary: security/gnutls: OPTIONal dependencies (CRYWRAP (libidn), P11KIT, TPM, ZLIB)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2014-07-24 11:47 UTC by Kubilay Kocak
Modified: 2014-07-30 05:35 UTC (History)
1 user (show)

See Also:


Attachments
Add OPTIONal dependencies (1.94 KB, patch)
2014-07-24 11:47 UTC, Kubilay Kocak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kubilay Kocak freebsd_committer freebsd_triage 2014-07-24 11:47:50 UTC
Created attachment 144939 [details]
Add OPTIONal dependencies

Factor out libidn, libp11-kit and libtspi into OPTIONal dependencies as per upstream documentation [1]

Add CRYWRAP P11KIT TPM ZLIB to OPTIONS_DEFAULT to retain existing binary package compatibility. Feel free to modify.

[1] http://gnutls.org/manual/html_node/Downloading-and-installing.html
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-07-24 11:48:30 UTC
Over to maintainer
Comment 2 Bryan Drewery freebsd_committer 2014-07-26 23:27:01 UTC
I have not reviewed carefully, but the idea is fine so I approve.
Comment 3 commit-hook freebsd_committer 2014-07-29 09:15:03 UTC
A commit references this bug:

Author: koobs
Date: Tue Jul 29 09:14:02 UTC 2014
New revision: 363301
URL: http://svnweb.freebsd.org/changeset/ports/363301

Log:
  security/gnutls: Support OPTIONal library dependencies

  Factor out libidn, libp11-kit and libtspi into OPTIONal library
  dependencies, with the CRYWRAP, P11KIT and TPM options respectively, as per
  the upstream documentation [1].

  Make ZLIB an OPTION because we can, and the choice to customise
  compression support in security software (especially lately) may be
  very useful for some consumers.

  Add CRYWRAP, P11KIT, TPM and ZLIB to OPTIONS_DEFAULT to retain current
  default functionality.

  [1] http://gnutls.org/manual/html_node/Downloading-and-installing.html

  Inspired by:	Recent gnutls 2 -> 3 change, fan of minimal dependencies

  PR:		192090
  Submitted by:	koobs
  Approved by:	maintainer

Changes:
  head/security/gnutls/Makefile
  head/security/gnutls/pkg-plist